[Risolto] Yaourt problema thunderbird-it

Domande inerenti al gestore dei pacchetti di Arch Linux
Rispondi
TheKaspa
Novello Arciere
Messaggi: 146
Iscritto il: 21 dicembre 2009, 10:56
Località: Milano
Contatta:

Messaggio da TheKaspa » 13 marzo 2010, 9:52

ho installalto thunderbird-it con

Codice: Seleziona tutto

# pacman -Sd thunderbird-it
perchè voleva installarmi anche thunderbird (che ho già installato, ma con il packaging brandizzato).
Ora yaourt considera thunderbird come dipendenza mancante e non riesco a installare altro.
Ho provato allora a installare il pacchetto thunderbird (faccio a meno dell'icona se devo...) ma nè pacman nè yaourt adesso ne vogliono sapere. Per loro il pacchetto è già presente e non riescono a installarlo, ma al contempo yaourt mi continua a dire che è una dipendenza non soddisfatta di thunderbird-it e se provo a installare altro mi dice che deve prima compilare le dipendenze mancanti e quindi si blocca perchè non riesce a compilare thunderbird in quanto già presente.
Per esempio, cercando di installare pdftk (che sicuramente NON ha thunderbird tra le dipendenze) mi restituisce (salto subito alla fine)

Codice: Seleziona tutto

==> Compilazione delle dipendenze mancanti da AUR:
==> Continuazione dalla compilazione precedente
jack-audio-connection-kit non trovato su AUR
missing dependency for thunderbird-it : thunderbird>=3.0.3

==> Install or build missing dependencies for gcc-gcj:
missing dependency for thunderbird-it : thunderbird>=3.0.3

==> Install or build missing dependencies for pdftk:
missing dependency for thunderbird-it : thunderbird>=3.0.3
Ultima modifica di TheKaspa il 13 marzo 2010, 14:00, modificato 1 volta in totale.
Gnome tutta la vita!
Linux User : #506785
Immagine
Sostieni anche tu l'AIMPS (codice 5x1000: 93045600231)

Avatar utente
Berseker
Amministratore
Messaggi: 4432
Iscritto il: 27 settembre 2007, 10:18
Architettura: x86_64 (64bit)
Località: Lecco (provincia)

Messaggio da Berseker » 13 marzo 2010, 10:09

rimuovi thunderbird-it con pacman -Rf thunderbird-it e non installare più nessun pacchetto con l'opzione -d a meno che tu non sappia cosa stai facendo.. ;)
Leggete il Regolamento e cercate sempre su googleforumwiki prima di chiedere.
Tag x thread risolti: [Risolto] + Spazio messo all'inizio del titolo. Grazie

ArchWiki / Board Internazionale / Blog

TheKaspa
Novello Arciere
Messaggi: 146
Iscritto il: 21 dicembre 2009, 10:56
Località: Milano
Contatta:

Messaggio da TheKaspa » 13 marzo 2010, 10:19

Per ora farò così, però io vorrei thunderbird in italiano, e l'unico modo sembrava essere quello...
Gnome tutta la vita!
Linux User : #506785
Immagine
Sostieni anche tu l'AIMPS (codice 5x1000: 93045600231)

Avatar utente
ilpianista
Amministratore
Messaggi: 2952
Iscritto il: 6 ottobre 2007, 0:41
Località: Lecce, Italy
Contatta:

Messaggio da ilpianista » 13 marzo 2010, 10:52

reinstallati il pacchetto "brandizzato" ma prima aggiungi nel PKGBUILD provides=("thunderbird=${pkgver}")

Avatar utente
nTia89
Robin Hood
Messaggi: 2490
Iscritto il: 23 dicembre 2008, 19:01
Architettura: x86_64 (64bit)
Località: Varese

Messaggio da nTia89 » 13 marzo 2010, 11:25

bash ha scritto:reinstallati il pacchetto "brandizzato" ma prima aggiungi nel PKGBUILD provides=("thunderbird=${pkgver}")
esatto , l'ho fatto anch'io
+laptop: Dell XPS 9343 | i5-5600U | FullHD | 256GB SSD | ArchLinux x86_64 + gnome

p4blo
Novello Arciere
Messaggi: 97
Iscritto il: 10 marzo 2009, 14:21

Messaggio da p4blo » 13 marzo 2010, 13:53

ma veramente thunderbird-it è presente in extra
comunque se non puoi fare a meno del brand (le icone di default sono bruttine) scaricati le icone originali scaricandoti il sorgente
lo estrai, vai nella cartella delle icone e le ricopi in /usr/lib/thunderbird-3.0/chrome/icons/default/
poi aggiungi queste linee al file /etc/pacman.conf e le icone brutte e cattive :D non ti seccheranno più

Codice: Seleziona tutto

NoUpgrade = usr/lib/thunderbird-3.0/chrome/icons/default/default16.png
NoUpgrade = usr/lib/thunderbird-3.0/chrome/icons/default/default22.png
NoUpgrade = usr/lib/thunderbird-3.0/chrome/icons/default/default24.png
NoUpgrade = usr/lib/thunderbird-3.0/chrome/icons/default/default32.png
NoUpgrade = usr/lib/thunderbird-3.0/chrome/icons/default/default48.png
NoUpgrade = usr/lib/thunderbird-3.0/chrome/icons/default/default256.png
le opzioni NoUpgrade aggiungile dopo #NoUpgrade=
Ultima modifica di p4blo il 13 marzo 2010, 14:03, modificato 1 volta in totale.

TheKaspa
Novello Arciere
Messaggi: 146
Iscritto il: 21 dicembre 2009, 10:56
Località: Milano
Contatta:

Messaggio da TheKaspa » 13 marzo 2010, 13:59

Grazie, ho risolto reinstallando thunderbird-branded e poi thunderbird-it.
Gnome tutta la vita!
Linux User : #506785
Immagine
Sostieni anche tu l'AIMPS (codice 5x1000: 93045600231)

Rispondi